set more off
cap log close

cd C:\Users\Tano\Dropbox\Giovanni_MigrationConference2015

log using logfiles\dataset_cells_czone_census19702010.txt, text replace

disp "DateTime: $S_DATE $S_TIME"

/* *******************************************************************
 Merge count and wages cz_mf dataset to obtain a CZ-cells (by edu-exp) 
 dataset with count of immigrants, wages natives and population. 
 For each CZ in 1970-2010.
 
 Created on 1/6/2015 by Gaetano Basso (gbasso@ucdavis.edu)
******************************************************************* */

use data/wages_czone_byEduExp.dta, clear

drop if imm==1
drop imm

merge 1:1 edcode expcode cz survey using data/count_czone_byEduExp.dta, nogen

saveold data\byEducExp_czone.dta, replace

log close

